/**
 * 个人中心相关接口
 */

import { request } from './index.js'

/**
 * 获取个人信息
 * @returns {Promise} 返回用户信息
 */
export function getUserInfo() {
	return request({
		url: '/app-api/member/user/get',
		method: 'GET',
		showLoading: false,
		needAuth: true // 需要token认证
	})
}

// 创建实名信息
export function createRealNameInfo(data) {
	return request({
		url: '/app-api/member/user-real-name/addAndUpdate',
		method: 'POST',
		data: data,
		showLoading: false,
		needAuth: true // 需要token认证
	})
}

// 我的收藏
export function getMyCollect(data) {
	return request({
		url: '/app-api/member/labor-union-collect/page',
		method: 'GET',
		data: data,
		showLoading: false,
		needAuth: true // 需要token认证
	})
}

// 创建会员建议
export function createLaborUnionSuggest(data) {
	return request({
		url: '/app-api/member/labor-union-suggest/create',
		method: 'POST',
		data: data,
		showLoading: false,
		needAuth: true // 需要token认证
	})
}

// 发布消息
export function createLaborUnionMessage(data) {
	return request({
		url: '/app-api/member/labor-union-message/create',
		method: 'POST',
		data: data,
		showLoading: false,
		needAuth: true // 需要token认证
	})
}